@import "@/styles/variables";

.dataset-files {
    grid-area: files;

    h4 {
        margin-bottom: 1rem;
    }
}

.file-card {
    @include col;

    padding: 1rem 1.25rem;
    gap: 1.5rem;
    background: $white;
    width: 100%;
    min-height: 10rem;
    margin-bottom: 0.2rem;

    @include card-shadow;

    @include tablet {
        padding: 2rem 2.25rem;
        align-items: flex-start;
        justify-content: space-between;
        flex-direction: row;
    }

    &__col {
        @include col;

        align-items: flex-end;
    }

    &__row {
        @include row;

        width: 100%;
        gap: 1rem;
        align-items: flex-start;
    }

    &__icon {
        min-width: 2.2rem;
    }

    &__heading {
        @include col;

        gap: 0.25rem;
        word-wrap: break-word;
    }

    &__label {
        margin: 0;
    }

    &__info {
        display: flex;
        align-items: center;
        gap: 0.5rem;
        cursor: pointer;

        &-text {
            color: $secondary-color;
            line-height: 150%;
            text-align: start;

            @include paragraph;
        }
    }

    .file-type {
        margin-top: auto;
        padding-top: 1.25rem;
        color: rgb($secondary-color, 80%);
    }
}